#pragma once

#define GET_PORTNUM(pin)   (uint8_t)(((uint16_t)pin >> 8) & 0xFF)
#define GET_PINNUM(pin)    (uint8_t)(((uint16_t)pin >> 0) & 0xFF)

#define P0_0 0
#define P0_5 (0x0000 | 5)
#define P0_7 (0x0000 | 7)
#define P0_15 (0x0000 | 15)
#define P0_16 (0x0000 | 16)
#define P0_23 (0x0000 | 23)
#define P0_31 (0x0000 | 31)
#define P1_0 (0x0100 | 0)
#define P1_1 (0x0100 | 1)
#define P1_4 (0x0100 | 4)
#define P1_5 (0x0100 | 5)
#define P1_6 (0x0100 | 6)
#define P1_7 (0x0100 | 7)
#define P1_8 (0x0100 | 8)
#define P1_9 (0x0100 | 9)
#define P1_10 (0x0100 | 10)
#define P1_26 (0x0100 | 26)
#define P1_27 (0x0100 | 27)
#define P1_31 (0x0100 | 31)


#define P_LED_R P1_4
#define P_LED_G P1_7
#define P_LED_B P1_6

#define P_BTN1 P0_5
#define P_BTN2 P1_9

#define D2 P0_15
#define D3 P_LED_B
#define D4 P_LED_G
#define D5 P_LED_R
#define D6 P1_10
#define D7 P1_9
#define D8 P1_8
#define D9 P1_5
#define D10 P1_1
#define A0 P0_16
#define A1 P0_23
#define A2 P0_0
#define A3 P1_31

#define ATMO_DEFAULT_GPIO P_LED_G
